Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class ClassAccessControlList

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.PublicObject
                  oracle.ifs.beans.TiePublicObject
                      oracle.ifs.beans.AccessControlList
                          oracle.ifs.beans.TieAccessControlList
                              oracle.ifs.beans.ClassAccessControlList

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

Direct Known Subclasses:
  TieClassAccessControlList

    public class ClassAccessControlList

extends TieAccessControlList

Represents an AccessControlList for controlling who can create new instances of a specified ClassObject.

See Also:
  `AccessControlList`
(Published)

Field Summary
`static java.lang.String` | `CLASS_NAME` This class name for this class.
`static java.lang.String` | `UNIQUENAME_ATTRIBUTE` A system-set attribute used to ensure each ClassAccessControlList has a unique name.

Fields inherited from class oracle.ifs.beans.AccessControlList
`COMPONENTACLS_ATTRIBUTE, m_ACEs, OWNERUNIQUENAME_ATTRIBUTE, SHARED_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.PublicObject
`ACL_ATTRIBUTE, CREATEDATE_ATTRIBUTE, CREATOR_ATTRIBUTE, DELETOR_ATTRIBUTE, DESCRIPTION_ATTRIBUTE, EXPIRATIONDATE_ATTRIBUTE, FAMILY_ATTRIBUTE, FLAG_CATEGORY_EXISTS, FLAG_CONFIGURATIONCATEGORY_EXISTS, FLAG_MARKED, FLAG_NOINFERIOR, FLAG_NOSELECT, FLAG_NTFS_ARCHIVE, FLAG_NTFS_HIDDEN, FLAG_NTFS_READONLY, FLAG_NTFS_SYSTEM, FLAG_UNMARKED, FLAGS_ATTRIBUTE, LASTMODIFIER_ATTRIBUTE, LASTMODIFYDATE_ATTRIBUTE, LOCKENTRIES_ATTRIBUTE, LOCKOBJECT_ATTRIBUTE, NAME_ATTRIBUTE, OWNER_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, POLICYLISTS_ATTRIBUTE, PRIMARYPARENTFOLDER_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE, RESOLVEDPUBLICOBJECT_ATTRIBUTE, SECURINGPUBLICOBJECT_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `ClassAccessControlList(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Construct a ClassAccessControlList object - standard variant.

Method Summary
`protected static java.util.Vector` | `constructAccessControlListVector(LibrarySession sess, java.util.Vector vector)` Return ClassAccessControlList Vector from a Vector of S_LibraryObjectData
`protected static ClassAccessControlList` | `constructClassAccessControlList(LibrarySession sess, S_LibraryObjectData data)` Return ClassAccessControlList from a S_LibraryObjectData
`static ClassAccessControlList[]` | `findAll(LibrarySession session)` Returns the set of defined ClassAccessControlLists.
`static ClassAccessControlList` | `findByName(LibrarySession session, java.lang.String name)` Returns the a ClassAccessControlList matching the specified name.
`static LibraryObjectLookupCache` | `getLibraryObjectLookupCache(LibrarySessionInterface session)` Returns the LibraryObjectLookupCache used by find ClassAccessControlList instances by name.
`protected static ClassAccessControlList` | `vectorClassAccessControlListElement(java.util.Vector vector, int index)` Return a ClassAccessControlList from a specified Vector of ClassAccessControlLists and an index.
`protected static ClassAccessControlList[]` | `vectorToClassAccessControlListArray(java.util.Vector vector)` Convert a Vector of ClassAccessControlLists to an array of ClassAccessControlLists.

Methods inherited from class oracle.ifs.beans.AccessControlList
`addAccessControlEntry, checkEffectiveAccess, checkGrantedAccess, checkGrantedAccess, constructAccessControlList, constructAccessControlListArray, getAccessControlEntrys, getAccessControlEntrys, getClassId, getComponentAcls, getCompositeAcls, getCompositeAcls, getEffectiveAccessLevel, getGrantedAccessLevel, getGrantedAccessLevel, grantAccess, isComposite, isShared, removeAccessControlEntry, removeAcesForFreedGrantees, removeAllAccessControlEntries, revokeAccess, revokeAllAccess, setComponentAcls, updateAccessControlEntry, vectorAclElement, vectorToAclArray`

Methods inherited from class oracle.ifs.beans.PublicObject
`addAccess, addCategory, addFlags, addRelationship, auditPublicObjectLocked, auditPublicObjectUnlocked, canAcquireManualLock, canReleaseDavLock, canReleaseLock, canReleaseManualLock, capabilities, checkAuditViewCapability, checkCapabilities, checkCapability, checkEffectiveAccess, checkLockAccess, checkVersioned, clearFlags, constructPublicObject, constructPublicObjectArray, constructPublicObjectVector, copy, coreAutoFolderingEnabled, createCategories, createDedicatedPolicyPropertyBundle, delete, deriveEffectiveAccessLevel, free, getAcl, getAllFolderPaths, getAllFolderPaths, getAllFolderPaths, getAnyFolderPath, getAnyFolderPath, getAnyFolderPath, getCapabilities, getCategories, getCategories, getCategories, getCategories, getCategories, getCategory, getConsumedStorage, getCreateDate, getCreator, getDefaultAccessLevel, getDeletor, getDescription, getEffectiveAccessLevel, getExpirationDate, getFamily, getFirstVersion, getFlags, getFolderReferences, getFolderReferences, getFolderReferencesSortSpecification, getLastModifier, getLastModifyDate, getLastVersion, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getLeftwardRelationshipsCount, getLeftwardRelationshipsCount, getLinks, getLockEntries, getLockEntries, getLockObject, getLockRestrictions, getLockTypeAuditProperties, getNextVersion, getOwner, getPolicyBundle, getPolicyLists, getPreviousVersion, getPrimaryFolderPath, getPrimaryParentFolder, getPrimaryParentFolder, getReservationComment, getReservationDate, getReservor, getResolvedPublicObject, getRestrictingLockEntries, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getSecuringPublicObject, getSingletonVersionDescription, getVersionNumber, getVersions, getVersionSeries, getWorkingCopy, handleCopy, handleCreate, handleUnlockAll, hasCategories, hasConfigurationCategories, hasNameAttribute, isDeleted, isLatestVersion, isLocked, isLockingSupported, isOwner, isReserved, isReservedByCurrentUser, isVersionable, isVersioned, isWorkingCopy, listLeftwardRelationships, listRightwardRelationships, lock, lock, lock, lock, newVersion, postCopy, postCreate, postUpdate, preCopy, preCreate, preFree, preUpdate, putPolicy, reassociateLinks, removeAllPolicies, removePolicy, removePolicy, removeRelationship, reserveNext, resetFolderReferences, resolveFolderReferenceSortSpecification, setAcl, setDescription, setExpirationDate, setFlags, setFolderReferencesSortSpecification, setLockEntries, setLockEntrySecurity, setOwner, setOwnerByName, setPolicyBundle, setPolicyLists, setSecuringPublicObject, toPublicObjectArray, undelete, unlock, unlock, unlockAll, unReserve, updateFlags, updateLock, vectorPublicObjectElement, vectorToPublicObjectArray, verifyDeleteCapability, verifyLockCapability, verifyUnlockCapability, verifyVersionSeries`

Methods inherited from class oracle.ifs.beans.LibraryObject
`applyProperties, auditCreated, auditUpdated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPropertyValue, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleEvent, handleFree, handleUpdate, hashCode, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, isValidEventType, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, prePostAuditEvent, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `ClassAccessControlList`
  This class name for this class. Useful for methods that take a class name argument.

  See Also:
    Constant Field Values
  (Published)

### UNIQUENAME_ATTRIBUTE

    public static final java.lang.String UNIQUENAME_ATTRIBUTE

  Description copied from class: `ClassAccessControlList`
  A system-set attribute used to ensure each ClassAccessControlList has a unique name.

  See Also:
    Constant Field Values
  (Published)

Constructor Detail

### ClassAccessControlList

    protected ClassAccessControlList(LibrarySession session,
                                     java.lang.Long id,
                                     java.lang.Long classId,
                                     S_LibraryObjectData data)
                              throws IfsException

  Construct a ClassAccessControlList object - standard variant.

  Parameters:
    `session` - current Session
    `id` - object ID
    `classId` - the class ID
    `data` - attributes
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### getLibraryObjectLookupCache

    public static LibraryObjectLookupCache getLibraryObjectLookupCache(LibrarySessionInterface session)
                                                                throws IfsException

  Description copied from class: `ClassAccessControlList`
  Returns the LibraryObjectLookupCache used by find ClassAccessControlList instances by name.

  Parameters:
    `session` - the session context
  Returns:
    the LibraryObjectLookupCache
  Throws:
    `IfsException` - if the operation fails.

### findAll

    public static ClassAccessControlList[] findAll(LibrarySession session)
                                            throws IfsException

  Description copied from class: `ClassAccessControlList`
  Returns the set of defined ClassAccessControlLists.

  The instances will be sorted by name.

  Parameters:
    `session` - the session context
  Returns:
    the set of ClassAccessControlLists; returns null if there are none
  Throws:
    `IfsException` - if the operation fails.

### findByName

    public static ClassAccessControlList findByName(LibrarySession session,
                                                    java.lang.String name)
                                             throws IfsException

  Description copied from class: `ClassAccessControlList`
  Returns the a ClassAccessControlList matching the specified name.

  Parameters:
    `session` - the session context
    `name` - the ClassAccessControlList name
  Returns:
    the ClassAccessControlList matching the specified name; or null if there exists no matching ClassAccessControlList
  Throws:
    `IfsException` - if the operation fails.

### constructAccessControlListVector

    protected static java.util.Vector constructAccessControlListVector(LibrarySession sess,
                                                                       java.util.Vector vector)
                                                                throws IfsException

  Description copied from class: `ClassAccessControlList`
  Return ClassAccessControlList Vector from a Vector of S_LibraryObjectData

  Parameters:
    `sess` - current Session
    `vector` - vecctor of SLOData
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### constructClassAccessControlList

    protected static ClassAccessControlList constructClassAccessControlList(LibrarySession sess,
                                                                            S_LibraryObjectData data)
                                                                     throws IfsException

  Description copied from class: `ClassAccessControlList`
  Return ClassAccessControlList from a S_LibraryObjectData

  Parameters:
    `sess` - current LibrarySession
    `data` - SLOData object
  Throws:
    `if` - the operation fails
    `IfsException`
  (Unpublished)

### vectorToClassAccessControlListArray

    protected static ClassAccessControlList[] vectorToClassAccessControlListArray(java.util.Vector vector)

  Description copied from class: `ClassAccessControlList`
  Convert a Vector of ClassAccessControlLists to an array of ClassAccessControlLists.

  Parameters:
    `vector` - A Vector containing ClassAccessControlLists.
  Returns:
    an array of ClassAccessControlLists.
  (Unpublished)

### vectorClassAccessControlListElement

    protected static ClassAccessControlList vectorClassAccessControlListElement(java.util.Vector vector,
                                                                                int index)
                                                                         throws java.lang.IndexOutOfBoundsException

  Description copied from class: `ClassAccessControlList`
  Return a ClassAccessControlList from a specified Vector of ClassAccessControlLists and an index.

  Parameters:
    `vector` - A Vector containing ClassAccessControlLists.
    `index` - An index into the Vector of ClassAccessControlLists.
  Returns:
    the requested ClassAccessControlList.
  Throws:
    `java.lang.IndexOutOfBoundsException` - if index is invalid.
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD